# Custom email templates

 - [GET /projects/{project_id}/templates/email/{template_id}/{locale}/{template_type}](https://xsolla.redocly.app/api/login/custom-email-templates/get-custom-email-template.md): Gets all information about the specific template. **Notice** [Rate limits for server-side methods](/api/login/rate-limits) are applied to this method.
 - [POST /projects/{project_id}/templates/email/{template_id}/{locale}/{template_type}](https://xsolla.redocly.app/api/login/custom-email-templates/create-custom-email-template.md): Creates an email template with custom structure, styles, and texts. You can add the variables for some texts to the template. To add the relevant texts for these variables, use the [Send email based o
 - [PUT /projects/{project_id}/templates/email/{template_id}/{locale}/{template_type}](https://xsolla.redocly.app/api/login/custom-email-templates/update-custom-email-template.md): Updates the specific custom email template. **Notice** [Rate limits for server-side methods](/api/login/rate-limits) are applied to this method.
 - [DELETE /projects/{project_id}/welcome_email](https://xsolla.redocly.app/api/login/custom-email-templates/switch-off-welcome-email.md): Switches off a welcome email. **Notice** [Rate limits for server-side methods](/api/login/rate-limits) are applied to this method.
 - [POST /projects/{project_id}/welcome_email](https://xsolla.redocly.app/api/login/custom-email-templates/switch-on-welcome-email.md): Switches on a welcome email. **Notice** [Rate limits for server-side methods](/api/login/rate-limits) are applied to this method.
 - [POST /templates/email/send](https://xsolla.redocly.app/api/login/custom-email-templates/send-email-based-on-template.md): Sends an email based on a custom template and data that you provided to the specified email address. **Notice** [Rate limits for server-side methods](/api/login/rate-limits) are applied to this method
